<app-layout>
  <div class="row my-4">
      <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
       
                  <mat-expansion-panel style="margin-bottom: 5px;"  [expanded]="false" >

                      <mat-expansion-panel-header [ngStyle]="{'background-color':'white' }">
                          <mat-panel-title>                                   
                                  <div class="col-lg-4 col-md-4 col-sm-2 col-xs-2">
                                          Add New User
                                  </div>
                                  <div class="col-lg-4 col-md-4 col-sm-2 col-xs-2"></div>
                                  <div style="text-align: center" class="col-lg-4 col-md-4 col-sm-2 col-xs-2">
                                                                          
                                  </div>                                    
                              </mat-panel-title>
                          </mat-expansion-panel-header>
                          <form class="example-form mt-2" [formGroup]="adduser">
                            <div class="row mat-typography p-2">
                              <div class="col-2">
                                <mat-form-field appearance="outline" class="w-100">
                                  <mat-label>Email</mat-label>
                                  <input matInput placeholder="Email" formControlName="username" type="email" name="username" required>
                                  <mat-error>Enter valid input</mat-error>
                                </mat-form-field>
                              </div>
                              <div class="col-2">
                                <mat-form-field appearance="outline" class="w-100">
                                  <mat-label>Password</mat-label>
                                  <input matInput placeholder="Password" formControlName="password" type="password" name="password" required>
                                  <mat-error>Enter valid input</mat-error>
                                </mat-form-field>
                              </div>
                              <div class="col-2">
                                <mat-form-field appearance="outline" class="w-100">
                                  <mat-label>Phone</mat-label>
                                  <input matInput placeholder="Phone" formControlName="contact" type="tel" name="contact" required>
                                  <mat-icon matSuffix>phone</mat-icon>
                                  <mat-error>Enter valid phone</mat-error>
                                </mat-form-field>
                              </div>
                            
                              <div class="col-2">
                                <mat-form-field appearance="outline" class="w-100">
                                  <mat-label>Role</mat-label>
                                  <mat-select formControlName="role" name="Role">
                                    <mat-option value="user">User
                                     
                                    </mat-option>
                                    <mat-option value="subclient">Sub Client
                      
                                    </mat-option>
                                  </mat-select>
                                </mat-form-field>
                              </div>
                              <div class="col-2">
                                <button mat-flat-button style="margin-top: 5%;margin-left: 30%;" (click)="addclientuser()" [disabled]="adduser.status == 'INVALID'"  color="primary" class="btn-black">Submit</button>
                              
                              
                              </div>
                             
                            </div>
                          </form>


                  </mat-expansion-panel>
          
        <mat-card class="margins mt-4">
          <mat-card-header>
                  <mat-card-title>Existing Users</mat-card-title>
          </mat-card-header>
              <mat-card-content>
                  <table mat-table [dataSource]="userdata" class="mat-elevation-z8">
                          <ng-container matColumnDef="serial">
                              <th mat-header-cell *matHeaderCellDef> Serial </th>
                              <td mat-cell *matCellDef="let element; let i = index;"> {{i+1}} </td>
                          </ng-container>
                              
                          <ng-container matColumnDef="firstname">
                              <th mat-header-cell *matHeaderCellDef> First Name </th>
                              <td mat-cell *matCellDef="let element"> {{element.firstname }} </td>
                          </ng-container>
                          
                          <ng-container matColumnDef="lastname">
                              <th mat-header-cell *matHeaderCellDef> Last Name </th>
                              <td mat-cell *matCellDef="let element"> {{element.lastname}} </td>
                          </ng-container>
                          <ng-container matColumnDef="username">
                            <th mat-header-cell *matHeaderCellDef> Email </th>
                            <td mat-cell *matCellDef="let element"> {{element.username}} </td>
                        </ng-container>
                        <ng-container matColumnDef="contact">
                          <th mat-header-cell *matHeaderCellDef> Contact </th>
                          <td mat-cell *matCellDef="let element"> {{element.contact  }} </td>
                      </ng-container>
                          
                          <ng-container matColumnDef="action">
                              <th mat-header-cell *matHeaderCellDef> Actions </th>
                              <td mat-cell *matCellDef="let element"> 
                                  <button mat-button matTooltip="Edit"><mat-icon (click)="confirmDialog(element._id)">clear</mat-icon></button> &nbsp; &nbsp; 
                                  </td>
                                  </ng-container>
                          
                          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                          <tr mat-row *matRowDef="let row; columns: displayedColumns; let i = index"></tr>                     
                  </table>
                    <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>               
          </mat-card-content>
        </mat-card>
      </div>
    </div>

</app-layout>

